Debian Bug report logs - #414533
ITA: clanlib -- JPEG module for ClanLib game SDK

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Mohammed Adnène Trojette <adn+deb@diwi.org>

Date: Mon, 12 Mar 2007 11:24:32 UTC

Owned by: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>

Severity: normal

Fixed in version clanlib/0.8.1-1

Done: Barry deFreese <bddebian@comcast.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Filip Van Raemdonck <mechanix@debian.org>, <wnpp@debian.org>:
Bug#414533; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Mohammed Adnène Trojette <adn+deb@diwi.org>:
New Bug report received and forwarded. Copy sent to Filip Van Raemdonck <mechanix@debian.org>, <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mohammed Adnène Trojette <adn+deb@diwi.org>
To: submit@bugs.debian.org
Subject: O: clanlib -- JPEG module for ClanLib game SDK
Date: Mon, 12 Mar 2007 12:12:51 +0100
Package: wnpp
Severity: normal

The current maintainer of clanlib, Filip Van Raemdonck <mechanix@debian.org>,
is apparently not active anymore.  Therefore, I orphan this package now.

Maintaining a package requires time and skills. Please only adopt this
package if you are *sure* you will have enough time and attention to
work on it.

If you want to be the new maintainer, please see
http://www.debian.org/devel/wnpp/index.html#howto-o for detailed
instructions how to adopt a package properly.

Some information about this package:

Package: clanlib
Binary: libclan2c2a-jpeg, clanlib-examples, libclan2c2a-vorbis, libclan2c2a-network, libclan2c2a-gui, libclan2c2a-sound, clanlib-doc, libclan2c2a-lua, libclan2c2a-gl, libclan2c2a-png, libclanlib2c2a, libclanlib-dev, libclan2c2a-ttf, libclan2c2a-mikmod
Version: 0.6.5-1-3.3
Priority: optional
Section: libs
Maintainer: Filip Van Raemdonck <mechanix@debian.org>
Build-Depends: autoconf, automake1.9, bzip2, debhelper (>= 4), hermes1-dev, libesd0-dev, libfreetype6-dev, libglu1-xorg-dev | libgl-dev, libjpeg62-dev, liblualib40-dev, libtolua-dev, libmikmod2-dev, libpng12-dev, libvorbis-dev (>= 1.0.0-3), libxt-dev, libxxf86vm-dev, pkg-config, zlib1g-dev
Build-Conflicts: libutahglx-dev
Architecture: any
Standards-Version: 3.6.2.1
Format: 1.0
Directory: pool/main/c/clanlib
Files:
 9ad2a4cd5e77150159b653f02e3f5842 1106 clanlib_0.6.5-1-3.3.dsc
 f2ec524994bf075dad0e055055bc5f1b 2180305 clanlib_0.6.5-1.orig.tar.gz
 607d8b331235816ef6a3c7e34ede6953 48054 clanlib_0.6.5-1-3.3.diff.gz

Package: libclan2c2a-jpeg
Priority: optional
Section: libs
Installed-Size: 68
Maintainer: Filip Van Raemdonck <mechanix@debian.org>
Architecture: i386
Source: clanlib
Version: 0.6.5-1-3.3
Replaces: libclan2-jpeg, libclan2c2-jpeg
Depends: libc6 (>= 2.3.6-6), libclanlib2c2a (>= 0.6.5-1), libgcc1 (>= 1:4.1.1-12), libjpeg62, libstdc++6 (>= 4.1.1-12)
Conflicts: clanlib-jpeg, clanlib2-jpeg, libclan2-jpeg, libclan2c2-jpeg
Filename: pool/main/c/clanlib/libclan2c2a-jpeg_0.6.5-1-3.3_i386.deb
Size: 13686
MD5sum: bbadd71e18497e918477fb651f8dd796
SHA1: e842b8b8e704dee0aedd260a183876ca085bff67
SHA256: 2580a8560aa6d9aff5d4eae5a3639083bd487b320ada7e7743f28bfd36c77c2f
Description: JPEG module for ClanLib game SDK
 ClanLib delivers a platform independent interface to write games with.
 If a game is written with ClanLib, it should be possible to compile the
 game under any platform (supported by ClanLib, that is) without changing
 the application source code.
 .
 But ClanLib is not just a wrapper library, providing a common interface
 to low-level libraries such as DirectFB, DirectX, OpenGL, X11, etc. While
 platform independence is ClanLib's primary goal, it also tries to be a
 service-minded game SDK. In other words, we have put great effort into
 designing the API, to ensure ClanLib's ease of use - while maintaining its
 power.
 .
 This package contains the JPEG module (clanJPEG).

Package: clanlib-examples
Priority: optional
Section: doc
Installed-Size: 2512
Maintainer: Filip Van Raemdonck <mechanix@debian.org>
Architecture: all
Source: clanlib
Version: 0.6.5-1-3.3
Depends: libclanlib2c2a
Suggests: clanlib-dev
Filename: pool/main/c/clanlib/clanlib-examples_0.6.5-1-3.3_all.deb
Size: 933756
MD5sum: 6079f86ec7a13aa040be5fb9db49906e
SHA1: 02b1588571011a96a3d1c4ccd51d562ad3fbe279
SHA256: 1089ec68dbc54ea40d3b8a2e3237289a6e5c8cd9bc08143721f074d86b248d89
Description: Examples for ClanLib
 ClanLib delivers a platform independent interface to write games with.
 If a game is written with ClanLib, it should be possible to compile the
 game under any platform (supported by ClanLib, that is) without changing
 the application source code.
 .
 But ClanLib is not just a wrapper library, providing a common interface
 to low-level libraries such as DirectFB, DirectX, OpenGL, X11, etc. While
 platform independence is ClanLib's primary goal, it also tries to be a
 service-minded game SDK. In other words, we have put great effort into
 designing the API, to ensure ClanLib's ease of use - while maintaining its
 power.
 .
 This package contains examples for most modules of the ClanLib API.
Tag: devel::doc, devel::examples, game::arcade, role::source

Package: libclan2c2a-vorbis
Priority: optional
Section: libs
Installed-Size: 56
Maintainer: Filip Van Raemdonck <mechanix@debian.org>
Architecture: i386
Source: clanlib
Version: 0.6.5-1-3.3
Replaces: libclan2-vorbis, libclan2c2-vorbis
Depends: libc6 (>= 2.3.6-6), libclanlib2c2a (>= 0.6.5-1), libgcc1 (>= 1:4.1.1-12), libstdc++6 (>= 4.1.1-12), libvorbis0a (>= 1.1.2)
Conflicts: clanlib-vorbis, clanlib2-vorbis, libclan2-vorbis, libclan2c2-vorbis
Filename: pool/main/c/clanlib/libclan2c2a-vorbis_0.6.5-1-3.3_i386.deb
Size: 8774
MD5sum: f52fe47f5bd49fb8ae4791a453a49d7d
SHA1: 49e9226429b3898bd3a448bdcfb7157ef9987336
SHA256: 5d0cf5dd97ca818ecc4422c13fc5ea6095ed2ab558e6bc93e25a4b80a960df95
Description: Vorbis module for ClanLib game SDK
 ClanLib delivers a platform independent interface to write games with.
 If a game is written with ClanLib, it should be possible to compile the
 game under any platform (supported by ClanLib, that is) without changing
 the application source code.
 .
 But ClanLib is not just a wrapper library, providing a common interface
 to low-level libraries such as DirectFB, DirectX, OpenGL, X11, etc. While
 platform independence is ClanLib's primary goal, it also tries to be a
 service-minded game SDK. In other words, we have put great effort into
 designing the API, to ensure ClanLib's ease of use - while maintaining its
 power.
 .
 This package contains the Vorbis module (clanVorbis).

Package: libclan2c2a-network
Priority: optional
Section: libs
Installed-Size: 300
Maintainer: Filip Van Raemdonck <mechanix@debian.org>
Architecture: i386
Source: clanlib
Version: 0.6.5-1-3.3
Replaces: libclan2-network, libclan2c2-network
Depends: libc6 (>= 2.3.6-6), libclanlib2c2a (>= 0.6.5-1), libgcc1 (>= 1:4.1.1-12), libstdc++6 (>= 4.1.1-12)
Conflicts: clanlib-network, clanlib2-network, libclan2-network, libclan2c2-network
Filename: pool/main/c/clanlib/libclan2c2a-network_0.6.5-1-3.3_i386.deb
Size: 95296
MD5sum: e172ba82180c06c586d794b15d0a3ade
SHA1: 9611fdaf95732afabe19a58c47905a9c83eda210
SHA256: 364b30cfe55f42e453b2a178aae016c6522541212ede65903b0d60912811200b
Description: Network module for ClanLib game SDK
 ClanLib delivers a platform independent interface to write games with.
 If a game is written with ClanLib, it should be possible to compile the
 game under any platform (supported by ClanLib, that is) without changing
 the application source code.
 .
 But ClanLib is not just a wrapper library, providing a common interface
 to low-level libraries such as DirectFB, DirectX, OpenGL, X11, etc. While
 platform independence is ClanLib's primary goal, it also tries to be a
 service-minded game SDK. In other words, we have put great effort into
 designing the API, to ensure ClanLib's ease of use - while maintaining its
 power.
 .
 This package contains the Network module (clanNetwork).

Package: libclan2c2a-gui
Priority: optional
Section: libs
Installed-Size: 704
Maintainer: Filip Van Raemdonck <mechanix@debian.org>
Architecture: i386
Source: clanlib
Version: 0.6.5-1-3.3
Replaces: libclan2-gui, libclan2c2-gui
Depends: libc6 (>= 2.3.6-6), libclanlib2c2a (>= 0.6.5-1), libgcc1 (>= 1:4.1.1-12), libstdc++6 (>= 4.1.1-12)
Conflicts: clanlib-gui, clanlib2-gui, libclan2-gui, libclan2c2-gui
Filename: pool/main/c/clanlib/libclan2c2a-gui_0.6.5-1-3.3_i386.deb
Size: 227356
MD5sum: 6dde396e1490b204ae272df03b718e32
SHA1: 8d1212fd267de601d1a2d56d42e8e4bef7a0b62c
SHA256: 0d3b49ae04a690a5c318cb98f32c2cd606bf46023c9aa66ed0a66051e99fafe7
Description: GUI module for ClanLib game SDK
 ClanLib delivers a platform independent interface to write games with.
 If a game is written with ClanLib, it should be possible to compile the
 game under any platform (supported by ClanLib, that is) without changing
 the application source code.
 .
 But ClanLib is not just a wrapper library, providing a common interface
 to low-level libraries such as DirectFB, DirectX, OpenGL, X11, etc. While
 platform independence is ClanLib's primary goal, it also tries to be a
 service-minded game SDK. In other words, we have put great effort into
 designing the API, to ensure ClanLib's ease of use - while maintaining its
 power.
 .
 This package contains the GUI module (clanGUI).

Package: libclan2c2a-sound
Priority: optional
Section: libs
Installed-Size: 184
Maintainer: Filip Van Raemdonck <mechanix@debian.org>
Architecture: i386
Source: clanlib
Version: 0.6.5-1-3.3
Replaces: libclan2-sound, libclan2c2-sound
Depends: libc6 (>= 2.3.6-6), libclanlib2c2a (>= 0.6.5-1), libgcc1 (>= 1:4.1.1-12), libstdc++6 (>= 4.1.1-12)
Conflicts: clanlib-sound, clanlib2-sound, libclan2-sound, libclan2c2-sound
Filename: pool/main/c/clanlib/libclan2c2a-sound_0.6.5-1-3.3_i386.deb
Size: 52042
MD5sum: 6afb3e286188abcfc1b4c533b8b986ad
SHA1: c06152e5a3945cf63c784215c41e2ca1d4d62ae9
SHA256: cb7c37d8341ab5d288320f89a336c64f0f7a09dac6f91419cfa0a003679475be
Description: Sound module for ClanLib game SDK
 ClanLib delivers a platform independent interface to write games with.
 If a game is written with ClanLib, it should be possible to compile the
 game under any platform (supported by ClanLib, that is) without changing
 the application source code.
 .
 But ClanLib is not just a wrapper library, providing a common interface
 to low-level libraries such as DirectFB, DirectX, OpenGL, X11, etc. While
 platform independence is ClanLib's primary goal, it also tries to be a
 service-minded game SDK. In other words, we have put great effort into
 designing the API, to ensure ClanLib's ease of use - while maintaining its
 power.
 .
 This package contains the Sound module (clanSound).

Package: clanlib-doc
Priority: optional
Section: doc
Installed-Size: 3704
Maintainer: Filip Van Raemdonck <mechanix@debian.org>
Architecture: all
Source: clanlib
Version: 0.6.5-1-3.3
Suggests: clanlib-examples
Conflicts: clanlib0-docs
Filename: pool/main/c/clanlib/clanlib-doc_0.6.5-1-3.3_all.deb
Size: 699526
MD5sum: dbd68054f6fd202e17e4d5994d3bef06
SHA1: 042a89664b7296554d2fb9f1c24a6abc985af3af
SHA256: b861ab8e04cc9a4b3b4e951bfc6d0b418ff079d601e1a73a0dc0c8cd6c492ac7
Description: Reference documentation and tutorials for ClanLib
 ClanLib delivers a platform independent interface to write games with.
 If a game is written with ClanLib, it should be possible to compile the
 game under any platform (supported by ClanLib, that is) without changing
 the application source code.
 .
 But ClanLib is not just a wrapper library, providing a common interface
 to low-level libraries such as DirectFB, DirectX, OpenGL, X11, etc. While
 platform independence is ClanLib's primary goal, it also tries to be a
 service-minded game SDK. In other words, we have put great effort into
 designing the API, to ensure ClanLib's ease of use - while maintaining its
 power.
 .
 This package contains html documentation for the ClanLib API and some
 tutorials to ease the learning curve for programming with it.
Tag: devel::doc, game::arcade, made-of::data:html, role::documentation, works-with::software:source

Package: libclan2c2a-lua
Priority: optional
Section: libs
Installed-Size: 128
Maintainer: Filip Van Raemdonck <mechanix@debian.org>
Architecture: i386
Source: clanlib
Version: 0.6.5-1-3.3
Replaces: libclan2-lua, libclan2c2-lua
Depends: libc6 (>= 2.3.6-6), libclanlib2c2a (>= 0.6.5-1), libgcc1 (>= 1:4.1.1-12), liblua40 (>= 4.0-13), liblualib40 (>= 4.0-13), libstdc++6 (>= 4.1.1-12), libtolua0 (>= 4.0a)
Conflicts: clanlib2-lua, libclan2-lua, libclan2c2-lua
Filename: pool/main/c/clanlib/libclan2c2a-lua_0.6.5-1-3.3_i386.deb
Size: 29138
MD5sum: 8559daefbb47015f2309414fd2c8163d
SHA1: b55ab8949396f42950a05872838a01fd2e3cc6d0
SHA256: 514c4ef70e32db4aaddfa47ff01b08a61eab5eb4ee0110db72483e91d3444694
Description: Lua module for ClanLib game SDK
 ClanLib delivers a platform independent interface to write games with.
 If a game is written with ClanLib, it should be possible to compile the game
 under any platform (supported by ClanLib, that is) without changing the
 application source code.
 .
 But ClanLib is not just a wrapper library, providing a common interface to
 low-level libraries such as DirectFB, DirectX, OpenGL, X11, etc. While
 platform independence is ClanLib's primary goal, it also tries to be a
 service-minded game SDK. In other words, the developers have put great effort
 into designing the API, to ensure ClanLib's ease of use - while maintaining
 its power.
 .
 This package contains the Lua scripting module (clanLua).

Package: libclan2c2a-gl
Priority: optional
Section: libs
Installed-Size: 124
Maintainer: Filip Van Raemdonck <mechanix@debian.org>
Architecture: i386
Source: clanlib
Version: 0.6.5-1-3.3
Replaces: libclan2-gl, libclan2c2-gl
Depends: libc6 (>= 2.3.6-6), libclanlib2c2a (>= 0.6.5-1), libgcc1 (>= 1:4.1.1-12), libgl1-mesa-glx | libgl1, libglu1-mesa | libglu1, libstdc++6 (>= 4.1.1-12), libx11-6, libxext6, libxxf86vm1
Conflicts: clanlib-gl, libutahglx1, clanlib2-gl, libclan2-gl, libclan2c2-gl
Filename: pool/main/c/clanlib/libclan2c2a-gl_0.6.5-1-3.3_i386.deb
Size: 33524
MD5sum: 9684fefdcda7fc38f31f73013760d42e
SHA1: ff650ec6f8811b4d239136ae5c9259b0acefbfde
SHA256: d85731119b6560b2996c561d5b346d9223e4c23496b1b8036b46b47e73eecf8f
Description: OpenGL module for ClanLib game SDK
 ClanLib delivers a platform independent interface to write games with.
 If a game is written with ClanLib, it should be possible to compile the
 game under any platform (supported by ClanLib, that is) without changing
 the application source code.
 .
 But ClanLib is not just a wrapper library, providing a common interface
 to low-level libraries such as DirectFB, DirectX, OpenGL, X11, etc. While
 platform independence is ClanLib's primary goal, it also tries to be a
 service-minded game SDK. In other words, we have put great effort into
 designing the API, to ensure ClanLib's ease of use - while maintaining its
 power.
 .
 This package contains the OpenGL module (clanGL).

Package: libclan2c2a-png
Priority: optional
Section: libs
Installed-Size: 64
Maintainer: Filip Van Raemdonck <mechanix@debian.org>
Architecture: i386
Source: clanlib
Version: 0.6.5-1-3.3
Replaces: libclan2-png, libclan2c2-png
Depends: libc6 (>= 2.3.6-6), libclanlib2c2a (>= 0.6.5-1), libgcc1 (>= 1:4.1.1-12), libpng12-0 (>= 1.2.8rel), libstdc++6 (>= 4.1.1-12)
Conflicts: clanlib-png, clanlib2-png, libclan2-png, libclan2c2-png
Filename: pool/main/c/clanlib/libclan2c2a-png_0.6.5-1-3.3_i386.deb
Size: 13436
MD5sum: 2e67de2784d21b49765b644af5ace2a1
SHA1: 29b8bd98723a938a3ce72aa20fa7ffd23530f02e
SHA256: a2ac723cbef0078e8c09505eb6ea53733e8b9b164b15916884a4f7c64b407fbe
Description: PNG module for ClanLib game SDK
 ClanLib delivers a platform independent interface to write games with.
 If a game is written with ClanLib, it should be possible to compile the
 game under any platform (supported by ClanLib, that is) without changing
 the application source code.
 .
 But ClanLib is not just a wrapper library, providing a common interface
 to low-level libraries such as DirectFB, DirectX, OpenGL, X11, etc. While
 platform independence is ClanLib's primary goal, it also tries to be a
 service-minded game SDK. In other words, we have put great effort into
 designing the API, to ensure ClanLib's ease of use - while maintaining its
 power.
 .
 This package contains the PNG module (clanPNG).

Package: libclanlib2c2a
Priority: optional
Section: libs
Installed-Size: 840
Maintainer: Filip Van Raemdonck <mechanix@debian.org>
Architecture: i386
Source: clanlib
Version: 0.6.5-1-3.3
Replaces: libclanlib2, libclanlib2c2
Depends: hermes1 (>= 1.3.2-5), libc6 (>= 2.3.6-6), libgcc1 (>= 1:4.1.1-12), libstdc++6 (>= 4.1.1-12), libx11-6, libxext6, libxxf86vm1, zlib1g (>= 1:1.2.1)
Conflicts: clanlib, clanlib2, libclanlib2, libclanlib2c2
Filename: pool/main/c/clanlib/libclanlib2c2a_0.6.5-1-3.3_i386.deb
Size: 295698
MD5sum: a014c1ab713b272f54b02ad92df1804c
SHA1: e85e623563d89f36b286cc24a241886e4e400589
SHA256: cbf37dd517c5eb554e8b3b283011b311f086bffe023a41fb309c04db4cf16cc4
Description: ClanLib game SDK core runtime
 ClanLib is a multi-platform software development kit, with an emphasis on
 game development.
 .
 On one side, it tries to provide a platform independent interface to
 write games with, by taking over the low-level work from the game and
 providing wrappers around toolkits such as DirectFB, DirectX, OpenGL,
 Vorbis, X11, etc., so that if a game is written with ClanLib, the game
 should compile on any platform supported by ClanLib without changing
 its source code.
 .
 On the other hand, ClanLib also tries to be a service-minded SDK.
 In other words, the developers have put great effort into designing
 the API, to ensure ClanLib's ease of use - while maintaining its power.
 .
 This is the runtime part of the ClanLib SDK, needed to run applications
 build with it.

Package: libclanlib-dev
Priority: optional
Section: libdevel
Installed-Size: 5592
Maintainer: Filip Van Raemdonck <mechanix@debian.org>
Architecture: i386
Source: clanlib
Version: 0.6.5-1-3.3
Replaces: clanlib-dev
Provides: clanlib-dev
Depends: libclanlib2c2a, hermes1-dev, libfreetype6-dev, libglu1-xorg-dev | xlibmesa-dev | libgl-dev, libjpeg62-dev, liblua40-dev, liblualib40-dev, libmikmod2-dev, libpng12-0-dev, libvorbis-dev, tolua-dev, libclan2c2a-gl, libclan2c2a-gui, libclan2c2a-jpeg, libclan2c2a-lua, libclan2c2a-mikmod, libclan2c2a-network, libclan2c2a-png, libclan2c2a-sound, libclan2c2a-ttf, libclan2c2a-vorbis
Suggests: clanlib-doc (>= 0.6.0-2)
Conflicts: clanlib0-common, libutahglx-dev, clanlib2 (<< 0.6.1-1-3), clanlib-dev
Filename: pool/main/c/clanlib/libclanlib-dev_0.6.5-1-3.3_i386.deb
Size: 1264368
MD5sum: 735f8a96d8d434e7b4256618ba5c5558
SHA1: 687f1cf837e8f28558579b72ec8c504404a68b89
SHA256: 2c0c6fd4a54231eaae28828864d8d3be38a99702e67a25a30b0146cb536a7208
Description: ClanLib game SDK development files
 ClanLib is a multi-platform software development kit, with an emphasis on
 game development.
 .
 On one side, it tries to provide a platform independent interface to
 write games with, by taking over the low-level work from the game and
 providing wrappers around toolkits such as DirectFB, DirectX, OpenGL,
 Vorbis, X11, etc., so that if a game is written with ClanLib, the game
 should compile on any platform supported by ClanLib without changing
 its source code.
 .
 On the other hand, ClanLib also tries to be a service-minded SDK.
 In other words, the developers have put great effort into designing
 the API, to ensure ClanLib's ease of use - while maintaining its power.
 .
 This is the development part of the ClanLib SDK, which is needed to build
 applications with it.
Tag: devel::library, role::devel-lib, use::gameplaying

Package: libclan2c2a-ttf
Priority: optional
Section: libs
Installed-Size: 80
Maintainer: Filip Van Raemdonck <mechanix@debian.org>
Architecture: i386
Source: clanlib
Version: 0.6.5-1-3.3
Replaces: libclan2-ttf, libclan2c2-ttf
Depends: libc6 (>= 2.3.6-6), libclanlib2c2a (>= 0.6.5-1), libfreetype6 (>= 2.2), libgcc1 (>= 1:4.1.1-12), libstdc++6 (>= 4.1.1-12)
Conflicts: clanlib-ttf, clanlib2-ttf, libclan2-ttf, libclan2c2-ttf
Filename: pool/main/c/clanlib/libclan2c2a-ttf_0.6.5-1-3.3_i386.deb
Size: 18780
MD5sum: 561b5f17113031dbb018b295232cc56c
SHA1: 3e8fc2567572a6c9499c95f9b24b707e638f71cf
SHA256: 343d0e5dd923b62d5d40aa4dbc008eb2485d55df874a17c8f4aef39dc7d02f06
Description: TTF module for ClanLib game SDK
 ClanLib delivers a platform independent interface to write games with.
 If a game is written with ClanLib, it should be possible to compile the game
 under any platform (supported by ClanLib, that is) without changing the
 application source code.
 .
 But ClanLib is not just a wrapper library, providing a common interface to
 low-level libraries such as DirectFB, DirectX, OpenGL, X11, etc. While
 platform independence is ClanLib's primary goal, it also tries to be a
 service-minded game SDK. In other words, the developers have put great effort
 into designing the API, to ensure ClanLib's ease of use - while maintaining
 its power.
 .
 This package contains the freetype TTF module (clanTTF).

Package: libclan2c2a-mikmod
Priority: optional
Section: libs
Installed-Size: 76
Maintainer: Filip Van Raemdonck <mechanix@debian.org>
Architecture: i386
Source: clanlib
Version: 0.6.5-1-3.3
Replaces: libclan2-mikmod, libclan2c2-mikmod
Depends: libc6 (>= 2.3.6-6), libclan2c2a-sound (>= 0.6.5-1), libclanlib2c2a (>= 0.6.5-1), libgcc1 (>= 1:4.1.1-12), libmikmod2 (>= 3.1.10), libstdc++6 (>= 4.1.1-12)
Conflicts: clanlib-mikmod, clanlib2-mikmod, libclan2-mikmod, libclan2c2-mikmod
Filename: pool/main/c/clanlib/libclan2c2a-mikmod_0.6.5-1-3.3_i386.deb
Size: 15748
MD5sum: 3be27128f4c203a76ae5ddb827c982b2
SHA1: aa949107c27f943f3c1d59b229a575709b0c3d51
SHA256: cb42a4c874dc12f56c0b97b64d876d387abae20fc4b2954f5d29c01f25c97c4c
Description: MikMod module for ClanLib game SDK
 ClanLib delivers a platform independent interface to write games with.
 If a game is written with ClanLib, it should be possible to compile the
 game under any platform (supported by ClanLib, that is) without changing
 the application source code.
 .
 But ClanLib is not just a wrapper library, providing a common interface
 to low-level libraries such as DirectFB, DirectX, OpenGL, X11, etc. While
 platform independence is ClanLib's primary goal, it also tries to be a
 service-minded game SDK. In other words, we have put great effort into
 designing the API, to ensure ClanLib's ease of use - while maintaining its
 power.
 .
 This package contains the MikMod module (clanMikMod).

-- 
Mohammed Adnène Trojette



Tags added: pending Request was from Sam Hocevar (Debian packages) <sam+deb@zoy.org> to control@bugs.debian.org. (Sat, 14 Apr 2007 17:51:05 GMT) Full text and rfc822 format available.

Tags removed: pending Request was from Thomas Huriaux <thomas.huriaux@gmail.com> to control@bugs.debian.org. (Sat, 01 Dec 2007 11:06:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#414533; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jon Dowland <jon@alcopop.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #14 received at 414533@bugs.debian.org (full text, mbox):

From: Jon Dowland <jon@alcopop.org>
To: control@bugs.debian.org
Cc: 414533@bugs.debian.org
Subject: retitle 414533 to ITA: clanlib -- JPEG module for ClanLib game SDK, owner 414533
Date: Mon, 03 Dec 2007 12:11:38 +0000
# Automatically generated email from bts, devscripts version 2.10.11
retitle 414533 ITA: clanlib -- JPEG module for ClanLib game SDK
# http://wiki.debian.org/Games for info on the team
owner 414533 Debian Games Team <pkg-games-devel@lists.alioth.debian.org>





Changed Bug title to `ITA: clanlib -- JPEG module for ClanLib game SDK' from `O: clanlib -- JPEG module for ClanLib game SDK'. Request was from Jon Dowland <jon@alcopop.org> to control@bugs.debian.org. (Mon, 03 Dec 2007 12:36:16 GMT) Full text and rfc822 format available.

Owner recorded as Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. Request was from Jon Dowland <jon@alcopop.org> to control@bugs.debian.org. (Mon, 03 Dec 2007 12:36:17 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#414533; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to patrick.matthaei@web.de:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #23 received at 414533@bugs.debian.org (full text, mbox):

From: Patrick Matthäi <patrick.matthaei@web.de>
To: 414533@bugs.debian.org
Subject: Status
Date: Sat, 12 Jan 2008 16:40:19 +0100
Hello,

how is the status of clanlib 0.8.x? I need this version for another 
package :)

-- 
Mit freundlichem Gruß / With kind regards,
Patrick Matthäi

E-Mail: patrick.matthaei@web.de
Homepage: http://www.Linux-Dev.org/






Reply sent to Barry deFreese <bddebian@comcast.net>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Mohammed Adnène Trojette <adn+deb@diwi.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #28 received at 414533-close@bugs.debian.org (full text, mbox):

From: Barry deFreese <bddebian@comcast.net>
To: 414533-close@bugs.debian.org
Subject: Bug#414533: fixed in clanlib 0.8.1-1
Date: Sun, 23 Mar 2008 23:21:56 +0000
Source: clanlib
Source-Version: 0.8.1-1

We believe that the bug you reported is fixed in the latest version of
clanlib, which is due to be installed in the Debian FTP archive:

clanlib-doc_0.8.1-1_all.deb
  to pool/main/c/clanlib/clanlib-doc_0.8.1-1_all.deb
clanlib_0.8.1-1.diff.gz
  to pool/main/c/clanlib/clanlib_0.8.1-1.diff.gz
clanlib_0.8.1-1.dsc
  to pool/main/c/clanlib/clanlib_0.8.1-1.dsc
clanlib_0.8.1.orig.tar.gz
  to pool/main/c/clanlib/clanlib_0.8.1.orig.tar.gz
libclanapp-0.8-1_0.8.1-1_i386.deb
  to pool/main/c/clanlib/libclanapp-0.8-1_0.8.1-1_i386.deb
libclanlib-dev_0.8.1-1_i386.deb
  to pool/main/c/clanlib/libclanlib-dev_0.8.1-1_i386.deb
libclansdl-0.8-1_0.8.1-1_i386.deb
  to pool/main/c/clanlib/libclansdl-0.8-1_0.8.1-1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 414533@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Barry deFreese <bddebian@comcast.net> (supplier of updated clanlib package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 19 Mar 2008 13:06:37 -0400
Source: clanlib
Binary: libclanapp-0.8-1 libclansdl-0.8-1 libclanlib-dev clanlib-doc
Architecture: source all i386
Version: 0.8.1-1
Distribution: unstable
Urgency: low
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Changed-By: Barry deFreese <bddebian@comcast.net>
Description: 
 clanlib-doc - Reference documentation and tutorials for ClanLib
 libclanapp-0.8-1 - ClanLib game SDK runtime
 libclanlib-dev - ClanLib game SDK development files
 libclansdl-0.8-1 - SDL module for ClanLib game SDK
Closes: 60031 188449 299524 372272 383972 414533 454818 467577 467578
Changes: 
 clanlib (0.8.1-1) unstable; urgency=low
 .
   [ Sam Hocevar ]
   * New upstream release (Closes: #188449, #299524, #383972).
     + Clanlib no longer ships lua. (Closes: #467577, #467578).
       + Removed all lua build-deps and deps.
   * Set maintainer to the Games team (Closes: #414533).
   * Use quilt for patch management.
   * debian/control:
     + Merged clanlib-examples into clanlib-doc.
     + Got rid of all libclanlib* modules. Now we only have libclanapp-0.8-1
       and libclansdl-0.8-1. There is no longer an fbdev output (but it can
       be activated through SDL), hence fbdev bugs are no longer relevant
       (Closes: #60031).
   * debian/scripts:
     + Got rid of the cruft in there, quilt does everything far better. We get
       rid of the bashisms at the same time (Closes: #372272).
   * debian/compat:
     + Set compat to 5.
   * debian/copyright:
     + Added list of copyright holders and fixed license.
   * debian/patches/005_am_maintainer_mode.diff:
     + Set AM_MAINTAINER_MODE.
   * debian/patches/300_rebootstrap.diff:
     + Rebootstrap package.
 .
   [ Barry deFreese ]
   * Add watch file.
   * Add Homepage field in control.
   * Make distclean not ignore errors.
   * Move doc from rules to clanlib-doc.install.
   * Remove root / from .install files.
   * Add build-dependencies: libxmu-dev, libxi-dev, xsltproc, libsdl1.2-dev,
     + libsdl-gfx1.2-dev, libasound2-dev.
   * 305_gcc43.diff - Build with gcc-4.3. (Closes: #454818).
   * Bump Standards Version to 3.7.3. (No changes needed).
   * Add myself to uploaders.
 .
   [ Ansgar Burchardt ]
   * debian/control: Change XS-Vcs-* to Vcs-*
Files: 
 06ddfc5e8b633aa490ab44b9e801c214 1307 libs optional clanlib_0.8.1-1.dsc
 24e86202eb6d702f788ff16a2718aa97 7629019 libs optional clanlib_0.8.1.orig.tar.gz
 fd7cb8b5654121898b28802ed17307b6 204042 libs optional clanlib_0.8.1-1.diff.gz
 fe0a76e079b328cb82e7831b78e1ffe1 4895820 doc optional clanlib-doc_0.8.1-1_all.deb
 bdac875df0282b3f830d6ed7a9987b70 1794144 libs optional libclanapp-0.8-1_0.8.1-1_i386.deb
 b4553d1802e4c00a7382a02e900d6ded 71632 libs optional libclansdl-0.8-1_0.8.1-1_i386.deb
 0128535f962e327110dbb129a157cc88 3532150 libdevel optional libclanlib-dev_0.8.1-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH4XCbBxd04ADYzRYRAovNAKCeS0A6S4MBI1W6VSCSkmaNTPXo4QCaAiX9
rPmfZv3Fn2aOu7xYB6QZacw=
=027G
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 10 Aug 2008 13:06:36 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 08:55:16 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.